Subject: Re: for newbs = little exercise / tutorial / warmup for windows and other non-sophisticated new Git users :-)

From: "Zorba" <[email-masked]>
Date: Tue, 30 Dec 2008 04:24:25 -0000

Hi Jeff,

Thanks for your contrib. I'll pick these up for sure, but right now I'm 
despo to make some progress getting this confounded real-life project 
versioned.

But where I'm stuck now touches on your post.

I've just made a commit I want to retract.

I have been using $ git reset --hard <version> as an escalator to ascend / 
descend the versions up and down
Surely it doesn't alter the history, as I can commit versionA, versionB, 
versionC, and then reset to A, then reset to C, then reset to B.

so when I reset to A, I've still got the ability to get to B or C again

Now I appreciate that if I commit a new change from versionA (lets call it 
B1), then HEAD is now at B1, and B, C etc are lost, correct ?

Its pertinent to where I am right now, as I've goofed a commit, and want to 
reset, and commit again but I'm worried about leaveing garbage lying around 
(the commits for version B and C in the example above).

NB if you read my latest posts you will see why I chose the example I did 
for my "warm-up" as it closely models what I'm trying to do for real.

BTW: sdf=Syntax Definition Formalism?

"Jeff Whiteside" <[email-masked]> wrote in message 
news:[email-masked]...

-"Rollback to each of the versions, starting with version A"
this is bad.  you're saying rollback.  to others that have used scms,
this will mean, "retrieve an older copy", but in git, this is DELETING
all the versions after the version that you "rollback" to.  your blog
post shouldn't discuss the git-reset --hard command at all, since
you're rewriting history, which is dangerous.  afaik, most scms don't
allow you to rewrite history.  to "rollback" to an older version you
should use checkout the git-checkout command.  maybe the git reset
-–hard HEAD is okay to include... but it won't be immediately obvious
to new users why it does what it does... this nomenclature was likely
not the best choice whenever it was made.

gl with your gitting.

whiteside

u're talking sdf

On Sat, Dec 27, 2008 at 5:29 PM, Zorba <[email-masked]> wrote:
>
> tidied up the formatting, added a few more comments where needed, fixed
> errors/lack of clarity
>
> "Zorba" <[email-masked]> wrote in message
> news:[email-masked]...
> > Here is a little exercise / tutorial / warm-up for someone starting out
> > with Git. If you're anyting like me you may find the tutorials etc. on
> > git.or.cz a bit daunting. I recommend you try this after reading the 
> > user
> > manual but before tearing your hair out trying to follow all the 
> > examples
> > in the user manual. After you've followed this simple workflow, then go
> > back to the more advanced stuff  in the tutorials and user manuals (like
> > cloning repositories and creating and merging branches).
> >
> > I created this exercise to try and model our workflow and what we wanted
> > to use git for = tracking a project with multiple files where the 
> > filebase
> > might change frequently from one version to the next.
> >
> > http://siliconmouth.wordpress.com/category/nerdy/
> >
> > look for December 27, 2008 or "git warmup"
> >
> >
>
>
>
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html